from django.urls import path
from transaction.views import TransactionMonthView

from . import views

urlpatterns = [
    path("new", views.CategoryCreateView.as_view(), name="new_category"),
    path("<category>", views.CategoryUpdateView.as_view(), name="category"),
    path(
        "<category>/transactions",
        views.CategoryTListView.as_view(),
        name="category_transactions",
    ),
    path("<category>/delete", views.CategoryDeleteView.as_view(), name="del_category"),
    path(
        "<category>/history/<int:year>/<int:month>",
        TransactionMonthView.as_view(),
        name="transaction_month",
    ),
]
